package cz.senslog.connector.fetch.senslog.telemetry;

import java.time.OffsetDateTime;
import java.util.Objects;

public final class EventInfo {

    public enum EventStatus {
        ONGOING, FINISHED
    }

    long id;
    long orderId;
    EventStatus status;
    OffsetDateTime fromTime, toTime;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        EventInfo eventInfo = (EventInfo) o;
        return id == eventInfo.id;
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(id);
    }
}
